datacache <- new.env(hash=TRUE, parent=emptyenv())

tilinghuman10r01hsug <- function() showQCData("tilinghuman10r01hsug", datacache)
tilinghuman10r01hsug_dbconn <- function() dbconn(datacache)
tilinghuman10r01hsug_dbfile <- function() dbfile(datacache)
tilinghuman10r01hsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilinghuman10r01hsug_dbInfo <- function() dbInfo(datacache)

tilinghuman10r01hsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilinghuman10r01hsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilinghuman10r01hsug", "chip tilinghuman10r01hsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilinghuman10r01hsug_dbconn())
}

